package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.entity.ServiceToken;

import java.util.Map;

/**
 * <p>
 * 服务令牌表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2018-09-17
 */
public interface ServiceTokenMapper extends BaseMapper<ServiceToken> {


    ServiceToken getServiceToken(Map map);

    ServiceToken getByProductServiceId(Long productServiceId);

    Integer deleteByProductServiceId(Long productServiceId);

    Integer enableToken(Long productServiceId);

    Integer disableToken(Long productServiceId);
}
